Please support VectorLinux!

Author Topic: SmartCard package installations  (Read 908 times)

elscripto

  • Member
  • *
  • Posts: 2
SmartCard package installations
« on: July 27, 2009, 12:41:23 am »
Hi,
Is it possible, that VL provides support for Smartcard driver installation and usage?

The task for setup of a smartcard support IMO is not trivial and easy to do, as it involves several related packages to be present. Besides the propriety smartcard drivers, there are several common needed packages that I do not find in your repository. The SlackBuilds 12.1 packages are not applicable either.

Needed packages:
1. The pcsc-lite package, pcsc-tools, pcsc-perl, ccid packages
2. The opensc package

Additionally there is a need for integration package for the usage of the smartcard readers.
1. Installation of the pcsc daemon
2. Verification and setup of the hal daemon.

Lately the banks/financial organizations massively started to request usage of smartcards for remote banking/financial activity, so IMO the effort of smartcard support is worthy and needed one.

Thanks.
« Last Edit: July 27, 2009, 12:48:06 am by elscripto »